/* ---------------------------
SCREEN STYLE CSS - MAIN
--------------------------- */

/*START: GENERAL STYLES*/
* { /*resets margins and padding*/
   margin: 0; 
   padding: 0;
}

div {
/*    border: 1px solid #999;*/
}

body { 
    font-family: "Quicksand", sans-serif;
}

h1, h2, h3, h4 {
    font-family: "Josefin Sans", sans-serif;
}

.genPad {
    padding: 20px;
}

.responsive
{
    width: 100%;
    height: auto;
}

.textCenter {
    text-align: center;
}

.clear {
    clear: both;
}

.bold {
    font-weight: bold;
}

.bgWallpaper {

    background-image: url('../image/bgWallpaper_web.jpg');  /* Path to your image */
    background-size: cover;
    background-repeat: repeat;       /* Makes the image tile */
    background-size: auto;
}

.myButton {
    font-family: "Josefin Sans", sans-serif;
    background-color: #00628B;
    border: none;
    color: #fff;
    padding: 15px 32px; /* Top and bottom padding, left and right padding */
    text-align: center; /* Center the text */
    text-decoration: none; /* No underline */
    display: inline-block; /* Align elements next to each other */
    font-size: 16px; /* Font size */
    margin: 4px 2px; /* Margin around the button */
    cursor: pointer; /* Pointer cursor on hover */
    border-radius: 5px; /* Rounded corners */
    transition: background-color 0.3s; /* Smooth transition for hover effect */
}

.myButton:hover {
    background-color: #81A594; /* Darker green on hover */
}

.myButton a {
    text-decoration: none;
    color: #fff;
}


/*
.boxshadow
{
    box-shadow: 5px 10px 8px rgba(230, 230, 220, 0.5);  0.5 is the opacity (50% transparent) 
    border-radius: 10px;
}
*/



/*START: NAV STYLES*/
#header { 
    font-family: "Josefin Sans", sans-serif;
    background: #495057;
/*    font-weight: bold;*/
}

.nav {
    width: 40%;
    float: right;
    text-align: right;
}

.nav a {
    text-decoration: none;
    color: #fff;
}

.topnav 
{
    overflow: hidden;
    background-color: #495057;
}

.topnav a 
{
    float: right;
    display: block;
    color: #fff;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 1em;
}

.topnav .icon 
{
    display: none;
}

.dropdown 
{
    float: right;
    overflow: hidden;
}

.dropdown .dropbtn 
{
    font-size: 1em;    
    border: none;
    outline: none;
    color: white;
    padding: 12px 16px;
    background-color: inherit;
    font-family: inherit;
    margin: 0;
}

.dropdown-content 
{
    display: none;
    position: absolute;
    background-color: #495057;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}

.dropdown-content a 
{
    float: none;
    color: #000;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    text-align: left;
}

.topnav a:hover, .dropdown:hover .dropbtn 
{
    background-color: #495057;
/*    color: #fe4900;*/
    color: #81A594;
}

.topnav.response {
    box-shadow: 5px 10px 8px rgba(230, 230, 220, 0.5); 
}

/*
.dropdown-content a:hover 
{
    background-color: #ddd;
    color: #fe4900;
}
*/

.dropdown:hover .dropdown-content 
{
    display: block;
}

.logo {
    width: 50%;
    float: left;
    font-size: 1.5em;
    color: #fff;
    padding-top: 10px;
}



/*START: FOOTER STYLES*/
footer {
    text-align: center;
    font-family: "Josefin Sans", sans-serif;
    font-weight: bold;
    font-size: 1.2em;
    background: #495057;
    color: #fff;
}

.footerCopy {
    padding-bottom: 50px;
}

.phanP {
    background: #1a1a1a;
}



/*START: IPHONE LAYOUT STYLES*/
@media (max-width: 480px) {
    h1, h2, h3 {
        font-size: 1em;
    }
    
    p {
        font-size: .8em;
    }
    
    /* nav menu */
    nav
    {
/*        margin-top: 18px;*/
    }
    
    footer {
/*        height: 500px;*/
    }
    
    #header {
        height: 91px;
        padding: 10px;
    }
    
    .topnav a, .dropdown .dropbtn 
    {
        display: none;
        font-size: .8em;
    }
    
    .topnav a.icon 
    {
        float: right;
        display: block;
    }
    
    .topnav.response 
    {
        position: relative;
    }
    
    .topnav.response .icon 
    {
        position: absolute;
        right: 0;
        top: 0;
    }
    
    .topnav.response a {
        float: none;
        display: block;
        text-align: left;
    }
    
    .topnav.response .dropdown 
    {
        float: none;
    }
    
    .topnav.response .dropdown-content 
    {
        position: relative;
    }
    
    .topnav.response .dropdown .dropbtn 
    {
        display: block;
        width: 100%;
        text-align: left;
    }
    .logo {
        width: 20%;
    }
    
    .logoLarge {
        display: none;
    }
    
    /* footer */
    .socialLogo {
    padding: 150px;
    padding-top: 10px;
    padding-bottom: 10px;
    }
    
    .phanP {
        font-size: 0.7em;
    }
}



/*START: NARROW LAYOUT STYLES*/
@media (min-width: 481px) and (max-width: 766px) {
    h1, h2, h3 {
        font-size: 1.5em;
    }
    
    p {
        font-size: 1em;
    }
    
    .wrapper {
        width: 90%;               /* Set width to 75% of the screen */
        margin: 0 auto;            /* Center horizontally */
    }
    
    /* nav menu */
    nav
    {
/*        margin-top: 18px;*/
    }
    
    #header {
        height: 91px;
        padding: 10px;
    }
    
    .topnav a, .dropdown .dropbtn 
    {
        display: none;
    }
    
    .topnav a.icon 
    {
        float: right;
        display: block;
    }
    
    .topnav.response 
    {
        position: relative;
    }
    
    .topnav.response .icon 
    {
        position: absolute;
        right: 0;
        top: 0;
    }
    
    .topnav.response a {
        float: none;
        display: block;
        text-align: left;
    }
    
    .topnav.response .dropdown 
    {
        float: none;
    }
    
    .topnav.response .dropdown-content 
    {
        position: relative;
    }
    
    .topnav.response .dropdown .dropbtn 
    {
        display: block;
        width: 100%;
        text-align: left;
    }
    
    .logo {
        width: 20%;
    }
    
    .logoLarge {
        display: none;
    }
    
    /* footer */
    .socialLogo {
    padding: 220px;
    padding-top: 10px;
    padding-bottom: 10px;
    }
    
    .phanP {
        font-size: 0.7em;
    }
}



/*START: MEDIUM LAYOUT STYLES*/
@media (min-width: 767px) and (max-width: 979px) {
    .wrapper {
        width: 90%;               /* Set width to 75% of the screen */
        margin: 0 auto;            /* Center horizontally */
    }
    
    h1, h2, h3 {
        font-size: 1.5em;
    }
    
    p {
        font-size: 1em;
    }
    
    /* nav menu */
    nav
    {
/*        margin-top: 18px;*/
    }
    
    #header {
        height: 91px;
        padding: 10px;
    }
    
    .topnav a, .dropdown .dropbtn 
    {
        display: none;
    }
    
    .topnav a.icon 
    {
        float: right;
        display: block;
    }
    
    .topnav.response 
    {
        position: relative;
    }
    
    .topnav.response .icon 
    {
        position: absolute;
        right: 0;
        top: 0;
    }
    
    .topnav.response a {
        float: none;
        display: block;
        text-align: left;
    }
    
    .topnav.response .dropdown 
    {
        float: none;
    }
    
    .topnav.response .dropdown-content 
    {
        position: relative;
    }
    
    .topnav.response .dropdown .dropbtn 
    {
        display: block;
        width: 100%;
        text-align: left;
    }
    
    .logo {
        width: 20%;
    }
    
    .logoSmall {
/*        display: none;*/
        width: 55px;
    }
    
    .logoLarge {
        width: 200px;
    }
    
    /* footer */
    .socialLogo {
    padding: 320px;
    padding-top: 10px;
    padding-bottom: 10px;
    }
    
    .phanP {
        font-size: 0.8em;
    }
}



/*START: WIDE LAYOUT STYLES*/
@media (min-width: 980px) and (max-width: 1450px) {
    h1, h2, h3 {
        font-size: 1.5em;
    }
    
    p {
        font-size: 1em;
    }
 
        /* nav menu */
    #header 
    { 
    /*  width: 100%;*/
        height: 95px;
    /*	position: fixed;*/
        padding: 10px;
    }
    
    .wrapper {
        width: 90%;               /* Set width to 75% of the screen */
        margin: 0 auto;            /* Center horizontally */
    }
    
    nav
    {
        margin-top: 3px;
    }
    
    .topnav
    {
        float: right;
    }
    
    .topnav a
    {
        float: left;
    }
    
    .dropdown
    {
        float: left;
    }
    
    .dropdown-content a
    {
        float: none;
    }
    
    .logo {
        width: 20%;
    }
    
    .logoSmall {
/*        display: none;*/
        width: 55px;
    }
    
    .logoLarge {
        width: 200px;
    }
    
    /* footer */
    .socialLogo {
    padding: 430px;
    padding-top: 10px;
    padding-bottom: 10px;
    }
    
    .phanP {
        font-size: 0.7em;
    }
}



/*START: WIDE LAYOUT STYLES*/
@media (min-width: 1451px) {
    h1, h2, h3 {
        font-size: 2em;
    }
    
    p {
        font-size: 1.5em;
    }
    
    /* nav menu */
    #header 
    { 
    /*  width: 100%;*/
        height: 95px;
    /*	position: fixed;*/
        padding: 10px 100px;
    }
    
    .wrapper {
        width: 75%;               /* Set width to 75% of the screen */
        margin: 0 auto;            /* Center horizontally */
    }
    
    nav
    {
        margin-top: 3px;
    }
    
    .topnav
    {
        float: right;
    }
    
    .topnav a
    {
        float: left;
    }
    
    .dropdown
    {
        float: left;
    }
    
    .dropdown-content a
    {
        float: none;
    }
    
    .logo {
        width: 20%;
    }
    
    .logoSmall {
/*        display: none;*/
        width: 55px;
    }
    
    .logoLarge {
        width: 200px;
    }
    
    /* footer */
    .socialLogo {
    padding: 630px;
    padding-top: 10px;
    padding-bottom: 10px;
    }
    
    .phanP {
        font-size: 0.7em;
    }
}











